#ifndef gf_included_setup_h
#define gf_included_setup_h

/*
Setup simply contains a bunch of options that are used by the driver.  How the options are
changed and how the menu system functions will NOT be documented.

For an explanation of the options, check the help.
*/

struct versussetup
{
 int LinesClear;
 int BumpingUp;
 int TotalMatchPoints;
 int Begin;

 int Player1MatchPoints;
 int Player2MatchPoints;

 int Player1StartLevel;
 int Player2StartLevel;
 int Player1MaxLevel;
 int Player2MaxLevel;

 int Player1Left;
 int Player1Right;
 int Player1Down;
 int Player1RotateClock;
 int Player1RotateCounter;

 int Player2Left;
 int Player2Right;
 int Player2Down;
 int Player2RotateClock;
 int Player2RotateCounter;
};

typedef struct versussetup VersusSetup;

VersusSetup InitializeVersusGame();
VersusSetup MenuSystem();

#endif
