#include "cordy.h"

/*
Straight-forward.  I call this function when I paint a new piece to the GameGrid.  I have
initial co-ords set up and then create a Cordy.  Whenever the piece moves, I increment or
decrement the cordy accordingly.  Keeping track of the Cordy is done through the GameGrid
code.  This code is only for creating a new one.

*/
Cordy CreateNewCordy(int TopX, int TopY, int BottomX, int BottomY)
{
 Cordy theCordy;
 theCordy.TopLeftX = TopX;
 theCordy.TopLeftY = TopY;
 theCordy.BottomRightX = BottomX;
 theCordy.BottomRightY = BottomY;

 return theCordy;
}
